Bug 1908916 - CNO: turn on OVN DB RAFT diffs once all master DB pods are capable of it
Summary: CNO: turn on OVN DB RAFT diffs once all master DB pods are capable of it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Casey Callendrello
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 1906940 1917979
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 22:17 UTC by Dan Williams
Modified: 2021-07-27 22:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:35:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 964 0 None open Bug 1908916: disable ovsdb column diffs if supported 2021-02-24 14:34:41 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:36:03 UTC

Description Dan Williams 2020-12-17 22:17:21 UTC
A recent OVS patch http://patchwork.ozlabs.org/project/openvswitch/patch/20201211205447.3874314-1-i.maximets@ovn.org/ greatly improves scale and memory usage of ovsdb-server in OVN scenarios. But it requires that all master pods are running an ovsdb-server version with this patch before we turn the feature on.

Comment 1 Dan Williams 2020-12-17 22:17:51 UTC
https://issues.redhat.com/browse/SDN-1483

Comment 3 Dan Williams 2021-01-20 14:56:53 UTC
OVS patchset to support column diffs was just accepted upstream. Will update this bug when it is downstream.

Comment 7 Ross Brattain 2021-03-03 06:08:57 UTC
Verified on 4.8.0-0.nightly-2021-03-01-143026

--ovsdb-disable-file-column-diff=yes  is set 

inspect.local.7510078841073577970/namespaces/openshift-ovn-kubernetes/pods/ovnkube-master-p48ht/sbdb/sbdb/logs/current.log
20:2021-03-03T04:17:35.170895311Z column diffs supported but disabled
21:2021-03-03T04:17:35.170902660Z + echo 'column diffs supported but disabled'
112:2021-03-03T04:18:05.214158605Z + exec /usr/share/ovn/scripts/ovn-ctl --db-sb-cluster-local-port=9644 --db-sb-cluster-local-addr=172.31.249.209 --no-monitor --db-sb-cluster-local-proto=ssl --ovn-sb-db-ssl-key=/ovn-cert/tls.key --ovn-sb-db-ssl-cert=/ovn-cert/tls.crt --ovn-sb-db-ssl-ca-cert=/ovn-ca/ca-bundle.crt --ovsdb-disable-file-column-diff=yes '--ovn-sb-log=-vconsole:info -vfile:off' run_sb_ovsdb

inspect.local.7510078841073577970/namespaces/openshift-ovn-kubernetes/pods/ovnkube-master-p48ht/nbdb/nbdb/logs/current.log
20:2021-03-03T04:17:02.541375495Z + echo 'column diffs supported but disabled'
21:2021-03-03T04:17:02.541405467Z column diffs supported but disabled
112:2021-03-03T04:17:32.596836804Z + exec /usr/share/ovn/scripts/ovn-ctl --db-nb-cluster-local-port=9643 --db-nb-cluster-local-addr=172.31.249.209 --no-monitor --db-nb-cluster-local-proto=ssl --ovn-nb-db-ssl-key=/ovn-cert/tls.key --ovn-nb-db-ssl-cert=/ovn-cert/tls.crt --ovn-nb-db-ssl-ca-cert=/ovn-ca/ca-bundle.crt --ovsdb-disable-file-column-diff=yes '--ovn-nb-log=-vconsole:info -vfile:off' run_nb_ovsdb

inspect.local.7510078841073577970/namespaces/openshift-ovn-kubernetes/pods/ovnkube-master-2h49b/nbdb/nbdb/logs/current.log
20:2021-03-03T04:17:03.335865878Z + echo 'column diffs supported but disabled'
21:2021-03-03T04:17:03.335880547Z column diffs supported but disabled
114:2021-03-03T04:17:33.372258560Z + exec /usr/share/ovn/scripts/ovn-ctl --db-nb-cluster-local-port=9643 --db-nb-cluster-local-addr=172.31.249.239 --no-monitor --db-nb-cluster-local-proto=ssl --ovn-nb-db-ssl-key=/ovn-cert/tls.key --ovn-nb-db-ssl-cert=/ovn-cert/tls.crt --ovn-nb-db-ssl-ca-cert=/ovn-ca/ca-bundle.crt --ovsdb-disable-file-column-diff=yes --db-nb-cluster-remote-port=9643 --db-nb-cluster-remote-addr=172.31.249.209 --db-nb-cluster-remote-proto=ssl '--ovn-nb-log=-vconsole:info -vfile:off' run_nb_ovsdb

inspect.local.7510078841073577970/namespaces/openshift-ovn-kubernetes/pods/ovnkube-master-2vr2z/sbdb/sbdb/logs/current.log
20:2021-03-03T04:17:51.414545359Z + echo 'column diffs supported but disabled'
21:2021-03-03T04:17:51.414551354Z column diffs supported but disabled
112:2021-03-03T04:18:21.450602768Z + exec /usr/share/ovn/scripts/ovn-ctl --db-sb-cluster-local-port=9644 --db-sb-cluster-local-addr=172.31.249.88 --no-monitor --db-sb-cluster-local-proto=ssl --ovn-sb-db-ssl-key=/ovn-cert/tls.key --ovn-sb-db-ssl-cert=/ovn-cert/tls.crt --ovn-sb-db-ssl-ca-cert=/ovn-ca/ca-bundle.crt --ovsdb-disable-file-column-diff=yes --db-sb-cluster-remote-port=9644 --db-sb-cluster-remote-addr=172.31.249.209 --db-sb-cluster-remote-proto=ssl '--ovn-sb-log=-vconsole:info -vfile:off' run_sb_ovsdb

inspect.local.7510078841073577970/namespaces/openshift-ovn-kubernetes/pods/ovnkube-master-2h49b/sbdb/sbdb/logs/current.log
20:2021-03-03T04:17:35.877843054Z + echo 'column diffs supported but disabled'
21:2021-03-03T04:17:35.877861506Z column diffs supported but disabled
112:2021-03-03T04:18:05.915467762Z + exec /usr/share/ovn/scripts/ovn-ctl --db-sb-cluster-local-port=9644 --db-sb-cluster-local-addr=172.31.249.239 --no-monitor --db-sb-cluster-local-proto=ssl --ovn-sb-db-ssl-key=/ovn-cert/tls.key --ovn-sb-db-ssl-cert=/ovn-cert/tls.crt --ovn-sb-db-ssl-ca-cert=/ovn-ca/ca-bundle.crt --ovsdb-disable-file-column-diff=yes --db-sb-cluster-remote-port=9644 --db-sb-cluster-remote-addr=172.31.249.209 --db-sb-cluster-remote-proto=ssl '--ovn-sb-log=-vconsole:info -vfile:off' run_sb_ovsdb

inspect.local.7510078841073577970/namespaces/openshift-ovn-kubernetes/pods/ovnkube-master-2vr2z/nbdb/nbdb/logs/current.log
20:2021-03-03T04:17:44.999251391Z + echo 'column diffs supported but disabled'
21:2021-03-03T04:17:44.999272296Z column diffs supported but disabled
114:2021-03-03T04:18:15.041991693Z + exec /usr/share/ovn/scripts/ovn-ctl --db-nb-cluster-local-port=9643 --db-nb-cluster-local-addr=172.31.249.88 --no-monitor --db-nb-cluster-local-proto=ssl --ovn-nb-db-ssl-key=/ovn-cert/tls.key --ovn-nb-db-ssl-cert=/ovn-cert/tls.crt --ovn-nb-db-ssl-ca-cert=/ovn-ca/ca-bundle.crt --ovsdb-disable-file-column-diff=yes --db-nb-cluster-remote-port=9643 --db-nb-cluster-remote-addr=172.31.249.209 --db-nb-cluster-remote-proto=ssl '--ovn-nb-log=-vconsole:info -vfile:off' run_nb_ovsdb

Comment 10 errata-xmlrpc 2021-07-27 22:35:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.